C++ Utilities: IoTests Class Reference

C++ Utilities 5.35.0 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IoTests Class Reference

The IoTests class tests classes and functions provided by the files inside the io directory. More...

Inheritance diagram for IoTests:
[legend]
Collaboration diagram for IoTests:
[legend]

## Public Member Functions
void | setUp () override
void | tearDown () override
void | testBinaryReader ()
| Tests the most important methods of the BinaryReader.
void | testBinaryWriter ()
| Tests the most important methods of the BinaryWriter.
void | testBitReader ()
| Tests the BitReader class.
void | testBufferSearch ()
| Tests the BufferSearch class.
void | testPathUtilities ()
| Tests fileName() and removeInvalidChars().
void | testIniFile ()
| Tests IniFile.
void | testAdvancedIniFile ()
| Tests AdvancedIniFile.
void | testCopy ()
| Tests CopyHelper.
void | testCopyWithNativeFileStream ()
| Tests CopyHelper in combination with NativeFileStream.
void | testReadFile ()
| Tests readFile().
void | testWriteFile ()
| Tests writeFile().
void | testAnsiEscapeCodes ()
| Tests formatting functions of CppUtilities::EscapeCodes namespace.

## Detailed Description

The IoTests class tests classes and functions provided by the files inside the io directory.

Definition at line 68 of file iotests.cpp.

## Member Function Documentation

## ◆ setUp()

void IoTests::setUp | ( |  | ) |
| override

Definition at line 116 of file iotests.cpp.

## ◆ tearDown()

void IoTests::tearDown | ( |  | ) |
| override

Definition at line 120 of file iotests.cpp.

## ◆ testAdvancedIniFile()

void IoTests::testAdvancedIniFile | ( |  | ) |

Tests AdvancedIniFile.

Definition at line 433 of file iotests.cpp.

## ◆ testAnsiEscapeCodes()

void IoTests::testAnsiEscapeCodes | ( |  | ) |

Tests formatting functions of CppUtilities::EscapeCodes namespace.

Definition at line 657 of file iotests.cpp.

## ◆ testBinaryReader()

void IoTests::testBinaryReader | ( |  | ) |

Tests the most important methods of the BinaryReader.

Definition at line 127 of file iotests.cpp.

## ◆ testBinaryWriter()

void IoTests::testBinaryWriter | ( |  | ) |

Tests the most important methods of the BinaryWriter.

Definition at line 193 of file iotests.cpp.

## ◆ testBitReader()

void IoTests::testBitReader | ( |  | ) |

Tests the BitReader class.

Definition at line 297 of file iotests.cpp.

## ◆ testBufferSearch()

void IoTests::testBufferSearch | ( |  | ) |

Tests the BufferSearch class.

Definition at line 324 of file iotests.cpp.

## ◆ testCopy()

void IoTests::testCopy | ( |  | ) |

Tests CopyHelper.

Definition at line 520 of file iotests.cpp.

## ◆ testCopyWithNativeFileStream()

void IoTests::testCopyWithNativeFileStream | ( |  | ) |

Tests CopyHelper in combination with NativeFileStream.

Definition at line 547 of file iotests.cpp.

## ◆ testIniFile()

void IoTests::testIniFile | ( |  | ) |

Tests IniFile.

Definition at line 392 of file iotests.cpp.

## ◆ testPathUtilities()

void IoTests::testPathUtilities | ( |  | ) |

Tests fileName() and removeInvalidChars().

Definition at line 358 of file iotests.cpp.

## ◆ testReadFile()

void IoTests::testReadFile | ( |  | ) |

Tests readFile().

Definition at line 617 of file iotests.cpp.

## ◆ testWriteFile()

void IoTests::testWriteFile | ( |  | ) |

Tests writeFile().

Definition at line 647 of file iotests.cpp.

The documentation for this class was generated from the following file:

- tests/iotests.cpp